org.apache.myfaces.trinidad.context

## Class PartialPageContext

- java.lang.Object
- - org.apache.myfaces.trinidad.context.PartialPageContext

-     public abstract class PartialPageContext
      extends Object

  Context object which is used to track the targets of a partial page render during the Render Response phase. Clients never need to explicitly create PartialPageContext objects, but can retrieve them from a RenderingContext instance. For general access to Partial Page Rendering during all phases, see APIs on the RequestContext API.

  During the partial rendering pass, some Renderer implementations may modify the set of partial targets that are rendered. (For example, the FormRenderer adds a partial target for its shared hidden fields.)

  Version:
    $Name: $ ($Revision: adfrt/faces/adf-faces-impl/src/main/java/oracle/adfinternal/view/faces/renderkit/core/ppr/PartialPageContext.java#0 $) $Date: 10-nov-2005.19:02:58 $

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PartialPageContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `addPartialTarget(String id)` Adds a new partial target to render.
    `abstract void` | `addRenderedPartialTarget(String id)` Adds a partial target that has already been rendered; this is needed if the "clientId" of a component does not match up to the top element (or elements).
    `abstract boolean` | `areAllTargetsProcessed()` Returns `true` if all of the partial targets have been rendered.
    `abstract Iterator<String>` | `getPartialTargets()` Returns the set of partial targets for this rendering pass.
    `abstract Iterator<String>` | `getRenderedPartialTargets()` Returns the client ids of the partial targets that have been rendered so far.
    `abstract javax.faces.component.visit.VisitContext` | `getVisitContext()` Returns the VisitContext to use when partial rendering.
    `abstract boolean` | `isInsidePartialTarget()` Returns true if we are inside of a partial target.
    `abstract boolean` | `isPartialTarget(String clientId)` Tests whether the specified client id is the client id of a UIComponent that should be rendered as part of the partial rendering pass.
    `abstract boolean` | `isPartialTargetRendered(String id)` Tests whether the specified partial target has been rendered.
    `abstract boolean` | `isPossiblePartialTarget(String componentId)` Tests whether the specified component id is a component id of a UIComponent that might be rendered in this partial rendering pass.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartialPageContext

          protected PartialPageContext()

  - ### Method Detail

    - #### isPartialTarget

          public abstract boolean isPartialTarget(String clientId)

      Tests whether the specified client id is the client id of a UIComponent that should be rendered as part of the partial rendering pass.
      Returns:
        `true` if a compoennt with this client id should be rendered.
      See Also:
        `isPossiblePartialTarget(java.lang.String)`

    - #### isPossiblePartialTarget

          public abstract boolean isPossiblePartialTarget(String componentId)

      Tests whether the specified component id is a component id of a UIComponent that might be rendered in this partial rendering pass.

      As calculating clientIds is expensive, this method allows a cheap test to reject components that shouldn't be rendered. If this method returns true, a more exact test using `isPartialTarget` with the desired clientId should be performed.

      Returns:
        `true` if a component with this id should be rendered.
      See Also:
        `isPartialTarget(java.lang.String)`

    - #### areAllTargetsProcessed

          public abstract boolean areAllTargetsProcessed()

      Returns `true` if all of the partial targets have been rendered.
      Returns:
        `true` if all of the partial targets have been rendered.

    - #### getPartialTargets

          public abstract Iterator<String> getPartialTargets()

      Returns the set of partial targets for this rendering pass.

    - #### isPartialTargetRendered

          public abstract boolean isPartialTargetRendered(String id)

      Tests whether the specified partial target has been rendered.

    - #### addPartialTarget

          public abstract void addPartialTarget(String id)

      Adds a new partial target to render.

      This method may be called during the partial rendering pass to add to the set of partial targets, but only if the pass has not yet been completed.

      Parameters:
        `id` - The id of the partial target to render

    - #### isInsidePartialTarget

          public abstract boolean isInsidePartialTarget()

      Returns true if we are inside of a partial target.

    - #### addRenderedPartialTarget

          public abstract void addRenderedPartialTarget(String id)

      Adds a partial target that has already been rendered; this is needed if the "clientId" of a component does not match up to the top element (or elements).

    - #### getRenderedPartialTargets

          public abstract Iterator<String> getRenderedPartialTargets()

      Returns the client ids of the partial targets that have been rendered so far.
      Returns:
        the client ids of the partial targets that have been rendered so far.

    - #### getVisitContext

          public abstract javax.faces.component.visit.VisitContext getVisitContext()

      Returns the VisitContext to use when partial rendering.
      Returns:
        the VisitContext to use when partial rendering.

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.